net.dontdrinkandroot.visualization.examples.odem

## Class OdemReader

- java.lang.Object
- - net.dontdrinkandroot.visualization.examples.odem.OdemReader

    public class OdemReader
    extends Object

### Constructor Summary

Constructors
Constructor and Description
`OdemReader()`

### Method Summary

Methods
`static edu.uci.ics.jung.graph.DirectedGraph<Type,Dependency>` `readGraph(File file)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### OdemReader

    public OdemReader()

### Method Detail

#### readGraph

    public static edu.uci.ics.jung.graph.DirectedGraph<Type,Dependency> readGraph(File file)
                                                                           throws org.dom4j.DocumentException

Throws:
  `org.dom4j.DocumentException`